Reference a clipping plane in grasshopper

Can you reference a clipping plane in grasshopper? I would like to put it on a slider if possible!

Kind Regards,

Felix

In Rhino 6 you can already do reference a clipping plane through the ID primitive:

2 Likes

Thats amazing that youre able to do that!

I cant seem to for some reason.

I get:

sorry, i am a moron! you made plane not a surface! Is there anyway to move the GUID around? If you try to mvoe the plane, it only moves that.

thanks for your help

private void RunScript(Guid id, Plane pl)
  {
    var cp = new Rhino.DocObjects.ObjRef(id);
    var source = cp.ClippingPlaneSurface().Plane;
    RhinoDoc.ActiveDoc.Objects.Transform(id, Transform.PlaneToPlane(source, pl), true);
  }

ClippingPlane.3dm (1.1 MB)
ClippingPlane.gh (14.9 KB)

22 Likes

dude! you rule!

Hi Mahdiyar,

I was wondering if you could look at this one and see what you think?

Best,

F

brilliant ! :100:

Really nice. Thank you for sharing this.

If you are having trouble, in the Rhino Properties Tab, Under Views Clipped, set your active model or layout view.

You sir, are a legend among men. Thank you.

Hi Mahdiyar,

Very handy script!
Just wondering there are 2 additional options preset.

  1. Would it be possible to create the clipping plane from within GH itself? (at the moment you have to draw the clipping pane in Rhino by hand every time you open the script). e.g. defining a rectangle in GH and somhow tranfer this as a clipping plane into Rhino?

It would be great If you don’t have to do manual things in Rhino :slight_smile:

Many thanks!

1 Like

Very well master

Is there a way to get the cures from intersections out of a Clipping Plane into a Geomtry Node ?
(Only Grasshopper workflow)

Also a projection of objects on a Clipping Plane would be important
-Not working in Rhino only

You probably could use RhinoObject.GetFillSurfaces Method to get the fill surfaces, then from those get the contours.

Amazing. To use in another model, it seems that needs to be set near the coordinates of the sample (the parameters are not relative to the clipping plane position).
Is there a way to make it for horizontal sections (reveal the model verticaly)?
Thank you!

ClippingPlaneHorizontal.gh (17.4 KB)
Very noob here… was able to get the result I wanted with the following.
(deleted the rotation part, since is to be horizontal only)

any suggestions how to exclude certain breps?

When you assign the clipping plane to the Guid, you can define (in Rhino) what objects you want to clip or exclude.